/**
 * @file
 * Home banner Styling.
 */

/*===slider start===*/

.hero-banner {
  max-width: rem(1920);
  margin: 0 auto;
  background-color: $gray-100;
  .slick-track {
    display: flex;
  }
  .slick-slide {
    height: auto;
  }

  &__image {
    margin-left: auto;
    min-height: 100vh;
    height: 100%;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center top;

    @include relative (z-index 1);
    @include flex(center);

    &:after {
      content: '';
      width: 100%;
      height: 100%;
      background-color: rgba($blue, 0.7);

      @include absolute(top 0 z-index -1);
    }
  }

  &__content {
    width: 100%;
    color: $white;
    text-align: center;
    max-width: rem(1080);
    padding: rem(208) rem(15) rem(160);
    flex-direction: column;
    @include flex(center, center);
    @include media-breakpoint-down(sm) {
      padding: rem(80) rem(15);
    }

    h1 {
      line-height: 1.3;
      font-family: $font-verdana-bold;
      @include media-breakpoint-down(sm) {
        line-height: 1.5;
        font-size: rem(28);
      }
      &:after {
        content: '';
        width: rem(50);
        background-color: $white;
        height: rem(5);
        display: block;
        margin: rem(8) auto 0;
      }
    }

    h1, p {
      margin-bottom: rem(40);
    }

    .btn {
      @include border-radius(30px);
      width: rem(250);
      max-width: 100%;
    }
  }
}
